JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const credentials = await client.credentials.list();
console.log(credentials.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
credentials = client.credentials.list()
print(credentials.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
credentials, err := client.Credentials.List(context.TODO(), mobileruncloud.CredentialListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", credentials.Items)
}mobilerun-cloud credentials list \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/credentials \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"ownerId": "<string>",
"createdBy": "<string>",
"userId": "<string>",
"packageName": "<string>",
"secretPath": "<string>",
"credentialName": "<string>",
"fields": [
{
"value": "<string>"
}
]
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}App Credentials
List credentials
Returns a paginated list of all credentials belonging to the authenticated user across every package. Accepts standard pagination query parameters and responds with the credential items plus pagination metadata.
GET
/
credentials
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const credentials = await client.credentials.list();
console.log(credentials.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
credentials = client.credentials.list()
print(credentials.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
credentials, err := client.Credentials.List(context.TODO(), mobileruncloud.CredentialListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", credentials.Items)
}mobilerun-cloud credentials list \
--api-key 'My API Key'Was this page helpful?
⌘I